#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="0"
pegasus_lite_version_patch="1"

. pegasus-lite-common.sh

pegasus_lite_init

# cleanup in case of failures
trap pegasus_lite_exit INT TERM EXIT

# work dir
export pegasus_lite_work_dir=$PWD
pegasus_lite_setup_work_dir

# figure out the worker package to use
pegasus_lite_worker_package

# set the xbit for any executables staged
/bin/chmod +x mBackground-3.3 

# execute the tasks
pegasus-cluster  -f  << EOF
#@ 1 mBackground:3.3 ID000375 
pegasus-kickstart  -n mBackground:3.3 -N ID000375 -R local-condor -L montage -T 2012-06-14T12:00:47-07:00 ./mBackground-3.3  -t   p2mass-atlas-990502s-j1340186.fits    c2mass-atlas-990502s-j1340186.fits    pimages_20120203_142818_12849.tbl    corrections.tbl 
#@ 2 mBackground:3.3 ID000376 
pegasus-kickstart  -n mBackground:3.3 -N ID000376 -R local-condor -H -L montage -T 2012-06-14T12:00:47-07:00 ./mBackground-3.3  -t   p2mass-atlas-990502s-j1420186.fits    c2mass-atlas-990502s-j1420186.fits    pimages_20120203_142818_12849.tbl    corrections.tbl 
#@ 3 mBackground:3.3 ID000377 
pegasus-kickstart  -n mBackground:3.3 -N ID000377 -R local-condor -H -L montage -T 2012-06-14T12:00:47-07:00 ./mBackground-3.3  -t   p2mass-atlas-990502s-j1350092.fits    c2mass-atlas-990502s-j1350092.fits    pimages_20120203_142818_12849.tbl    corrections.tbl 
#@ 4 mBackground:3.3 ID000378 
pegasus-kickstart  -n mBackground:3.3 -N ID000378 -R local-condor -H -L montage -T 2012-06-14T12:00:47-07:00 ./mBackground-3.3  -t   p2mass-atlas-990502s-j1430080.fits    c2mass-atlas-990502s-j1430080.fits    pimages_20120203_142818_12849.tbl    corrections.tbl 
EOF

