#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="0"
pegasus_lite_version_patch="1"

. pegasus-lite-common.sh

pegasus_lite_init

# cleanup in case of failures
trap pegasus_lite_exit INT TERM EXIT

# work dir
export pegasus_lite_work_dir=$PWD
pegasus_lite_setup_work_dir

# figure out the worker package to use
pegasus_lite_worker_package

# set the xbit for any executables staged
/bin/chmod +x mProjectPP-3.3 

# execute the tasks
pegasus-cluster  -f  << EOF
#@ 1 mProjectPP:3.3 ID000047 
pegasus-kickstart  -n mProjectPP:3.3 -N ID000047 -R local-condor -L montage -T 2012-06-14T12:00:47-07:00 ./mProjectPP-3.3  -X -x 0.98057   2mass-atlas-990502s-j1300186.fits    p2mass-atlas-990502s-j1300186.fits    big_region_20120203_142818_12849.hdr 
#@ 2 mProjectPP:3.3 ID000048 
pegasus-kickstart  -n mProjectPP:3.3 -N ID000048 -R local-condor -H -L montage -T 2012-06-14T12:00:47-07:00 ./mProjectPP-3.3  -X -x 0.98048   2mass-atlas-990502s-j1300198.fits    p2mass-atlas-990502s-j1300198.fits    big_region_20120203_142818_12849.hdr 
#@ 3 mProjectPP:3.3 ID000045 
pegasus-kickstart  -n mProjectPP:3.3 -N ID000045 -R local-condor -H -L montage -T 2012-06-14T12:00:47-07:00 ./mProjectPP-3.3  -X -x 0.98202   2mass-atlas-990502s-j1310056.fits    p2mass-atlas-990502s-j1310056.fits    big_region_20120203_142818_12849.hdr 
#@ 4 mProjectPP:3.3 ID000046 
pegasus-kickstart  -n mProjectPP:3.3 -N ID000046 -R local-condor -H -L montage -T 2012-06-14T12:00:47-07:00 ./mProjectPP-3.3  -X -x 0.98030   2mass-atlas-990502s-j1300221.fits    p2mass-atlas-990502s-j1300221.fits    big_region_20120203_142818_12849.hdr 
EOF

